## yt-dlp 2025.09.23

=== debian/changelog ===
yt-dlp (2025.09.23-1) unstable; urgency=medium

  * New upstream version 2025.09.23.
    - Refresh patches.

 -- Unit 193 <unit193@debian.org>  Tue, 23 Sep 2025 06:58:24 -0400

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1
export PYBUILD_NAME = yt_dlp

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_configure:
	PREFIX=/usr SYSCONFDIR=/etc make
	python3 devscripts/set-variant.py debian -M "As yt-dlp has been installed via apt, you should use that to update.  If you're on a stable release, also check backports."
	rm yt-dlp

override_dh_clean:
	make clean
	dh_clean

override_dh_auto_test:
	make offlinetest PYTHON=python3

override_dh_installchangelogs:
	DEB_BUILD_OPTIONS=notrimdch dh_installchangelogs Changelog.md

override_dh_python3:
	dh_python3 --depends-section=default

override_dh_gencontrol:
	dh_gencontrol -- -Vyt-dlp:Sites="$$(sed -n -e 's/.* \- \*\*//g' -e 's/:.*//' -e 's/\*\*.*/,/p' supportedsites.md | fmt )"

=== debian/watch ===
version=4
opts="dversionmangle=s/\+dfsg\d*$//" \
https://github.com/yt-dlp/yt-dlp/releases \
     (?:.*?/)([\d\.]+)\.tar\.gz

## yt-dlp 2025.09.23-1trisquel3

=== debian/changelog ===
yt-dlp (2025.09.23-1trisquel3) ecne-backports; urgency=medium

  * Remove explicit site listing, redirecting to website author.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 25 Sep 2025 21:03:26 +0000

## yt-dlp 2025.09.23-1+11.0trisquel3

=== .pc/0004-Makefile-Don-t-run-flake8-when-running-offlinetest.patch/Makefile ===
all: lazy-extractors yt-dlp doc pypi-files
clean: clean-test clean-dist
clean-all: clean clean-cache
completions: completion-bash completion-fish completion-zsh
doc: README.md CONTRIBUTING.md CONTRIBUTORS issuetemplates supportedsites
ot: offlinetest
tar: yt-dlp.tar.gz

# Keep this list in sync with pyproject.toml includes/artifacts
# intended use: when building a source distribution,
# make pypi-files && python3 -m build -sn .
pypi-files: Changelog.md LICENSE README.md README.txt supportedsites \
            completions yt-dlp.1 pyproject.toml devscripts/* test/*

.PHONY: all clean clean-all clean-test clean-dist clean-cache \
        completions completion-bash completion-fish completion-zsh \
        doc issuetemplates supportedsites ot offlinetest codetest test \
        tar pypi-files lazy-extractors install uninstall

clean-test:
	rm -rf tmp/ *.annotations.xml *.aria2 *.description *.dump *.frag \
	*.frag.aria2 *.frag.urls *.info.json *.live_chat.json *.meta *.part* *.tmp *.temp *.unknown_video *.ytdl \
	*.3gp *.ape *.ass *.avi *.desktop *.f4v *.flac *.flv *.gif *.jpeg *.jpg *.lrc *.m4a *.m4v *.mhtml *.mkv *.mov *.mp3 *.mp4 \
	*.mpg *.mpga *.oga *.ogg *.opus *.png *.sbv *.srt *.ssa *.swf *.tt *.ttml *.url *.vtt *.wav *.webloc *.webm *.webp \
	test/testdata/sigs/player-*.js test/testdata/thumbnails/empty.webp "test/testdata/thumbnails/foo %d bar/foo_%d."*
clean-dist:
	rm -rf yt-dlp.1.temp.md yt-dlp.1 README.txt MANIFEST build/ dist/ .coverage cover/ yt-dlp.tar.gz completions/ \
	yt_dlp/extractor/lazy_extractors.py *.spec CONTRIBUTING.md.tmp yt-dlp yt-dlp.exe yt_dlp.egg-info/ AUTHORS
clean-cache:
	find . \( \
		-type d -name ".*_cache" -o -type d -name __pycache__ -o -name "*.pyc" -o -name "*.class" \
	\) -prune -exec rm -rf {} \;

completion-bash: completions/bash/yt-dlp
completion-fish: completions/fish/yt-dlp.fish
completion-zsh: completions/zsh/_yt-dlp
lazy-extractors: yt_dlp/extractor/lazy_extractors.py

PREFIX ?= /usr/local
BINDIR ?= $(PREFIX)/bin
MANDIR ?= $(PREFIX)/man
SHAREDIR ?= $(PREFIX)/share
PYTHON ?= /usr/bin/env python3
GNUTAR ?= tar

# set markdown input format to "markdown-smart" for pandoc version 2+ and to "markdown" for pandoc prior to version 2
PANDOC_VERSION_CMD = pandoc -v 2>/dev/null | head -n1 | cut -d' ' -f2 | head -c1
PANDOC_VERSION != $(PANDOC_VERSION_CMD)
PANDOC_VERSION ?= $(shell $(PANDOC_VERSION_CMD))
MARKDOWN_CMD = if [ "$(PANDOC_VERSION)" = "1" -o "$(PANDOC_VERSION)" = "0" ]; then echo markdown; else echo markdown-smart; fi
MARKDOWN != $(MARKDOWN_CMD)
MARKDOWN ?= $(shell $(MARKDOWN_CMD))

install: lazy-extractors yt-dlp yt-dlp.1 completions
	mkdir -p $(DESTDIR)$(BINDIR)
	install -m755 yt-dlp $(DESTDIR)$(BINDIR)/yt-dlp
	mkdir -p $(DESTDIR)$(MANDIR)/man1
	install -m644 yt-dlp.1 $(DESTDIR)$(MANDIR)/man1/yt-dlp.1
	mkdir -p $(DESTDIR)$(SHAREDIR)/bash-completion/completions
	install -m644 completions/bash/yt-dlp $(DESTDIR)$(SHAREDIR)/bash-completion/completions/yt-dlp
	mkdir -p $(DESTDIR)$(SHAREDIR)/zsh/site-functions
	install -m644 completions/zsh/_yt-dlp $(DESTDIR)$(SHAREDIR)/zsh/site-functions/_yt-dlp
	mkdir -p $(DESTDIR)$(SHAREDIR)/fish/vendor_completions.d
	install -m644 completions/fish/yt-dlp.fish $(DESTDIR)$(SHAREDIR)/fish/vendor_completions.d/yt-dlp.fish

uninstall:
	rm -f $(DESTDIR)$(BINDIR)/yt-dlp
	rm -f $(DESTDIR)$(MANDIR)/man1/yt-dlp.1
	rm -f $(DESTDIR)$(SHAREDIR)/bash-completion/completions/yt-dlp
	rm -f $(DESTDIR)$(SHAREDIR)/zsh/site-functions/_yt-dlp
	rm -f $(DESTDIR)$(SHAREDIR)/fish/vendor_completions.d/yt-dlp.fish

codetest:
	ruff check .
	autopep8 --diff .

test:
	$(PYTHON) -m pytest -Werror
	$(MAKE) codetest

offlinetest: codetest
	$(PYTHON) -m pytest -Werror -m "not download"

CODE_FOLDERS_CMD = find yt_dlp -type f -name '__init__.py' | sed 's,/__init__.py,,' | grep -v '/__' | sort
CODE_FOLDERS != $(CODE_FOLDERS_CMD)
CODE_FOLDERS ?= $(shell $(CODE_FOLDERS_CMD))
CODE_FILES_CMD = for f in $(CODE_FOLDERS) ; do echo "$$f" | sed 's,$$,/*.py,' ; done
CODE_FILES != $(CODE_FILES_CMD)
CODE_FILES ?= $(shell $(CODE_FILES_CMD))
yt-dlp: $(CODE_FILES)
	mkdir -p zip
	for d in $(CODE_FOLDERS) ; do \
	  mkdir -p zip/$$d ;\
	  cp -pPR $$d/*.py zip/$$d/ ;\
	done
	(cd zip && touch -t 200001010101 $(CODE_FILES))
	mv zip/yt_dlp/__main__.py zip/
	(cd zip && zip -q ../yt-dlp $(CODE_FILES) __main__.py)
	rm -rf zip
	echo '#!$(PYTHON)' > yt-dlp
	cat yt-dlp.zip >> yt-dlp
	rm yt-dlp.zip
	chmod a+x yt-dlp

README.md: $(CODE_FILES) devscripts/make_readme.py
	COLUMNS=80 $(PYTHON) yt_dlp/__main__.py --ignore-config --help | $(PYTHON) devscripts/make_readme.py

CONTRIBUTING.md: README.md devscripts/make_contributing.py
	$(PYTHON) devscripts/make_contributing.py README.md CONTRIBUTING.md

issuetemplates: devscripts/make_issue_template.py .github/ISSUE_TEMPLATE_tmpl/1_broken_site.yml .github/ISSUE_TEMPLATE_tmpl/2_site_support_request.yml .github/ISSUE_TEMPLATE_tmpl/3_site_feature_request.yml .github/ISSUE_TEMPLATE_tmpl/4_bug_report.yml .github/ISSUE_TEMPLATE_tmpl/5_feature_request.yml yt_dlp/version.py
	$(PYTHON) devscripts/make_issue_template.py .github/ISSUE_TEMPLATE_tmpl/1_broken_site.yml .github/ISSUE_TEMPLATE/1_broken_site.yml
	$(PYTHON) devscripts/make_issue_template.py .github/ISSUE_TEMPLATE_tmpl/2_site_support_request.yml .github/ISSUE_TEMPLATE/2_site_support_request.yml
	$(PYTHON) devscripts/make_issue_template.py .github/ISSUE_TEMPLATE_tmpl/3_site_feature_request.yml .github/ISSUE_TEMPLATE/3_site_feature_request.yml
	$(PYTHON) devscripts/make_issue_template.py .github/ISSUE_TEMPLATE_tmpl/4_bug_report.yml .github/ISSUE_TEMPLATE/4_bug_report.yml
	$(PYTHON) devscripts/make_issue_template.py .github/ISSUE_TEMPLATE_tmpl/5_feature_request.yml .github/ISSUE_TEMPLATE/5_feature_request.yml
	$(PYTHON) devscripts/make_issue_template.py .github/ISSUE_TEMPLATE_tmpl/6_question.yml .github/ISSUE_TEMPLATE/6_question.yml

supportedsites:
	$(PYTHON) devscripts/make_supportedsites.py supportedsites.md

README.txt: README.md
	pandoc -f $(MARKDOWN) -t plain README.md -o README.txt

yt-dlp.1: README.md devscripts/prepare_manpage.py
	$(PYTHON) devscripts/prepare_manpage.py yt-dlp.1.temp.md
	pandoc -s -f $(MARKDOWN) -t man yt-dlp.1.temp.md -o yt-dlp.1
	rm -f yt-dlp.1.temp.md

completions/bash/yt-dlp: $(CODE_FILES) devscripts/bash-completion.in
	mkdir -p completions/bash
	$(PYTHON) devscripts/bash-completion.py

completions/zsh/_yt-dlp: $(CODE_FILES) devscripts/zsh-completion.in
	mkdir -p completions/zsh
	$(PYTHON) devscripts/zsh-completion.py

completions/fish/yt-dlp.fish: $(CODE_FILES) devscripts/fish-completion.in
	mkdir -p completions/fish
	$(PYTHON) devscripts/fish-completion.py

_EXTRACTOR_FILES_CMD = find yt_dlp/extractor -name '*.py' -and -not -name 'lazy_extractors.py'
_EXTRACTOR_FILES != $(_EXTRACTOR_FILES_CMD)
_EXTRACTOR_FILES ?= $(shell $(_EXTRACTOR_FILES_CMD))
yt_dlp/extractor/lazy_extractors.py: devscripts/make_lazy_extractors.py devscripts/lazy_load_template.py $(_EXTRACTOR_FILES)
	$(PYTHON) devscripts/make_lazy_extractors.py $@

yt-dlp.tar.gz: all
	@$(GNUTAR) -czf yt-dlp.tar.gz --transform "s|^|yt-dlp/|" --owner 0 --group 0 \
		--exclude '*.DS_Store' \
		--exclude '*.kate-swp' \
		--exclude '*.pyc' \
		--exclude '*.pyo' \
		--exclude '*~' \
		--exclude '__pycache__' \
		--exclude '.*_cache' \
		--exclude '.git' \
		-- \
		README.md supportedsites.md Changelog.md LICENSE \
		CONTRIBUTING.md Collaborators.md CONTRIBUTORS AUTHORS \
		Makefile yt-dlp.1 README.txt completions .gitignore \
		yt-dlp yt_dlp pyproject.toml devscripts test

AUTHORS: Changelog.md
	@if [ -d '.git' ] && command -v git > /dev/null ; then \
	  echo 'Generating $@ from git commit history' ; \
	  git shortlog -s -n HEAD | cut -f2 | sort > $@ ; \
	fi

CONTRIBUTORS: Changelog.md
	@if [ -d '.git' ] && command -v git > /dev/null ; then \
	  echo 'Updating $@ from git commit history' ; \
	  $(PYTHON) devscripts/make_changelog.py -v -c > /dev/null ; \
	fi

=== debian/changelog ===
yt-dlp (2025.09.23-1+11.0trisquel3) aramo-backports; urgency=medium

  * Track latest release and remove explicit site listing, redirecting
    to website author.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 25 Sep 2025 21:09:27 +0000

## yt-dlp 2025.09.26

=== debian/changelog ===
yt-dlp (2025.09.26-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 29 Sep 2025 09:05:43 -0700

yt-dlp (2025.09.26-1) unstable; urgency=medium

  * New upstream version 2025.09.26.

 -- Unit 193 <unit193@debian.org>  Fri, 26 Sep 2025 19:33:15 -0400

=== debian/control ===
Source: yt-dlp
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Unit 193 <unit193@debian.org>
Section: web
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python (>= 5.20211213~),
               pandoc,
               pybuild-plugin-pyproject,
               python3-hatchling,
               python3-pytest <!nocheck>,
               zip
Build-Depends-Indep: python3
Rules-Requires-Root: no
Standards-Version: 4.7.2
Vcs-Browser: https://codeberg.org/Unit193/yt-dlp
Vcs-Git: https://codeberg.org/Unit193/yt-dlp.git
Homepage: https://github.com/yt-dlp/yt-dlp

Package: yt-dlp
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
         aria2 | wget | curl, ca-certificates,
Recommends:  ffmpeg
Suggests: libfribidi-bin | bidiv, phantomjs
Description: downloader of videos from YouTube and other sites
 yt-dlp is a youtube-dl fork based on the now inactive youtube-dlc.
 The main focus of this project is adding new features and patches
 while also keeping up to date with the original project.
 .
 yt-dlp is a small command-line program to download videos from
 YouTube.com and other sites that don't provide direct links to the
 videos served.
 .
 yt-dlp allows the user, among other things, to choose a specific video
 quality to download (if available) or let the program automatically
 determine the best (or worst) quality video to grab. It supports
 downloading entire playlists and all videos from a given user.
 .
 Currently supported sites (or features of sites) are:
 .
 ${yt-dlp:Sites}

## yt-dlp 2025.09.26-1trisquel3

=== debian/changelog ===
yt-dlp (2025.09.26-1trisquel3) ecne-backports; urgency=medium

  * Remove explicit site listing, redirecting to website author.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sat, 27 Sep 2025 12:51:37 +0000

## yt-dlp 2025.09.26-1+11.0trisquel3

=== debian/changelog ===
yt-dlp (2025.09.26-1+11.0trisquel3) aramo-backports; urgency=medium

  * Track latest release and remove explicit site listing, redirecting
    to website author.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sat, 27 Sep 2025 12:51:32 +0000

## yt-dlp 2025.10.14

=== debian/changelog ===
yt-dlp (2025.10.14-1~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.

 -- Unit 193 <unit193@debian.org>  Tue, 21 Oct 2025 06:38:37 -0400

yt-dlp (2025.10.14-1) unstable; urgency=medium

  * New upstream version 2025.10.14.

 -- Unit 193 <unit193@debian.org>  Wed, 15 Oct 2025 18:59:08 -0400

## yt-dlp 2025.10.14-1trisquel3

=== Makefile ===
all: lazy-extractors yt-dlp doc pypi-files
clean: clean-test clean-dist
clean-all: clean clean-cache
completions: completion-bash completion-fish completion-zsh
doc: README.md CONTRIBUTING.md CONTRIBUTORS issuetemplates supportedsites
ot: offlinetest
tar: yt-dlp.tar.gz

# Keep this list in sync with pyproject.toml includes/artifacts
# intended use: when building a source distribution,
# make pypi-files && python3 -m build -sn .
pypi-files: Changelog.md LICENSE README.md README.txt supportedsites \
            completions yt-dlp.1 pyproject.toml devscripts/* test/*

.PHONY: all clean clean-all clean-test clean-dist clean-cache \
        completions completion-bash completion-fish completion-zsh \
        doc issuetemplates supportedsites ot offlinetest codetest test \
        tar pypi-files lazy-extractors install uninstall

clean-test:
	rm -rf tmp/ *.annotations.xml *.aria2 *.description *.dump *.frag \
	*.frag.aria2 *.frag.urls *.info.json *.live_chat.json *.meta *.part* *.tmp *.temp *.unknown_video *.ytdl \
	*.3gp *.ape *.ass *.avi *.desktop *.f4v *.flac *.flv *.gif *.jpeg *.jpg *.lrc *.m4a *.m4v *.mhtml *.mkv *.mov *.mp3 *.mp4 \
	*.mpg *.mpga *.oga *.ogg *.opus *.png *.sbv *.srt *.ssa *.swf *.tt *.ttml *.url *.vtt *.wav *.webloc *.webm *.webp \
	test/testdata/sigs/player-*.js test/testdata/thumbnails/empty.webp "test/testdata/thumbnails/foo %d bar/foo_%d."*
clean-dist:
	rm -rf yt-dlp.1.temp.md yt-dlp.1 README.txt MANIFEST build/ dist/ .coverage cover/ yt-dlp.tar.gz completions/ \
	yt_dlp/extractor/lazy_extractors.py *.spec CONTRIBUTING.md.tmp yt-dlp yt-dlp.exe yt_dlp.egg-info/ AUTHORS
clean-cache:
	find . \( \
		-type d -name ".*_cache" -o -type d -name __pycache__ -o -name "*.pyc" -o -name "*.class" \
	\) -prune -exec rm -rf {} \;

completion-bash: completions/bash/yt-dlp
completion-fish: completions/fish/yt-dlp.fish
completion-zsh: completions/zsh/_yt-dlp
lazy-extractors: yt_dlp/extractor/lazy_extractors.py

PREFIX ?= /usr/local
BINDIR ?= $(PREFIX)/bin
MANDIR ?= $(PREFIX)/man
SHAREDIR ?= $(PREFIX)/share
PYTHON ?= /usr/bin/env python3
GNUTAR ?= tar

# set markdown input format to "markdown-smart" for pandoc version 2+ and to "markdown" for pandoc prior to version 2
PANDOC_VERSION_CMD = pandoc -v 2>/dev/null | head -n1 | cut -d' ' -f2 | head -c1
PANDOC_VERSION != $(PANDOC_VERSION_CMD)
PANDOC_VERSION ?= $(shell $(PANDOC_VERSION_CMD))
MARKDOWN_CMD = if [ "$(PANDOC_VERSION)" = "1" -o "$(PANDOC_VERSION)" = "0" ]; then echo markdown; else echo markdown-smart; fi
MARKDOWN != $(MARKDOWN_CMD)
MARKDOWN ?= $(shell $(MARKDOWN_CMD))

install: lazy-extractors yt-dlp yt-dlp.1 completions
	mkdir -p $(DESTDIR)$(BINDIR)
	install -m755 yt-dlp $(DESTDIR)$(BINDIR)/yt-dlp
	mkdir -p $(DESTDIR)$(MANDIR)/man1
	install -m644 yt-dlp.1 $(DESTDIR)$(MANDIR)/man1/yt-dlp.1
	mkdir -p $(DESTDIR)$(SHAREDIR)/bash-completion/completions
	install -m644 completions/bash/yt-dlp $(DESTDIR)$(SHAREDIR)/bash-completion/completions/yt-dlp
	mkdir -p $(DESTDIR)$(SHAREDIR)/zsh/site-functions
	install -m644 completions/zsh/_yt-dlp $(DESTDIR)$(SHAREDIR)/zsh/site-functions/_yt-dlp
	mkdir -p $(DESTDIR)$(SHAREDIR)/fish/vendor_completions.d
	install -m644 completions/fish/yt-dlp.fish $(DESTDIR)$(SHAREDIR)/fish/vendor_completions.d/yt-dlp.fish

uninstall:
	rm -f $(DESTDIR)$(BINDIR)/yt-dlp
	rm -f $(DESTDIR)$(MANDIR)/man1/yt-dlp.1
	rm -f $(DESTDIR)$(SHAREDIR)/bash-completion/completions/yt-dlp
	rm -f $(DESTDIR)$(SHAREDIR)/zsh/site-functions/_yt-dlp
	rm -f $(DESTDIR)$(SHAREDIR)/fish/vendor_completions.d/yt-dlp.fish

codetest:
	ruff check .
	autopep8 --diff .

test:
	$(PYTHON) -m pytest -Werror
	$(MAKE) codetest

offlinetest:
	$(PYTHON) -m pytest -m "not download"

CODE_FOLDERS_CMD = find yt_dlp -type f -name '__init__.py' | sed 's,/__init__.py,,' | grep -v '/__' | sort
CODE_FOLDERS != $(CODE_FOLDERS_CMD)
CODE_FOLDERS ?= $(shell $(CODE_FOLDERS_CMD))
CODE_FILES_CMD = for f in $(CODE_FOLDERS) ; do echo "$$f" | sed 's,$$,/*.py,' ; done
CODE_FILES != $(CODE_FILES_CMD)
CODE_FILES ?= $(shell $(CODE_FILES_CMD))
yt-dlp: $(CODE_FILES)
	mkdir -p zip
	for d in $(CODE_FOLDERS) ; do \
	  mkdir -p zip/$$d ;\
	  cp -pPR $$d/*.py zip/$$d/ ;\
	done
	(cd zip && touch -t 200001010101 $(CODE_FILES))
	mv zip/yt_dlp/__main__.py zip/
	(cd zip && zip -q ../yt-dlp $(CODE_FILES) __main__.py)
	rm -rf zip
	echo '#!$(PYTHON)' > yt-dlp
	cat yt-dlp.zip >> yt-dlp
	rm yt-dlp.zip
	chmod a+x yt-dlp

README.md: $(CODE_FILES) devscripts/make_readme.py
	COLUMNS=80 $(PYTHON) yt_dlp/__main__.py --ignore-config --help | $(PYTHON) devscripts/make_readme.py

CONTRIBUTING.md: README.md devscripts/make_contributing.py
	$(PYTHON) devscripts/make_contributing.py README.md CONTRIBUTING.md

issuetemplates: devscripts/make_issue_template.py .github/ISSUE_TEMPLATE_tmpl/1_broken_site.yml .github/ISSUE_TEMPLATE_tmpl/2_site_support_request.yml .github/ISSUE_TEMPLATE_tmpl/3_site_feature_request.yml .github/ISSUE_TEMPLATE_tmpl/4_bug_report.yml .github/ISSUE_TEMPLATE_tmpl/5_feature_request.yml yt_dlp/version.py
	$(PYTHON) devscripts/make_issue_template.py .github/ISSUE_TEMPLATE_tmpl/1_broken_site.yml .github/ISSUE_TEMPLATE/1_broken_site.yml
	$(PYTHON) devscripts/make_issue_template.py .github/ISSUE_TEMPLATE_tmpl/2_site_support_request.yml .github/ISSUE_TEMPLATE/2_site_support_request.yml
	$(PYTHON) devscripts/make_issue_template.py .github/ISSUE_TEMPLATE_tmpl/3_site_feature_request.yml .github/ISSUE_TEMPLATE/3_site_feature_request.yml
	$(PYTHON) devscripts/make_issue_template.py .github/ISSUE_TEMPLATE_tmpl/4_bug_report.yml .github/ISSUE_TEMPLATE/4_bug_report.yml
	$(PYTHON) devscripts/make_issue_template.py .github/ISSUE_TEMPLATE_tmpl/5_feature_request.yml .github/ISSUE_TEMPLATE/5_feature_request.yml
	$(PYTHON) devscripts/make_issue_template.py .github/ISSUE_TEMPLATE_tmpl/6_question.yml .github/ISSUE_TEMPLATE/6_question.yml

supportedsites:
	$(PYTHON) devscripts/make_supportedsites.py supportedsites.md

README.txt: README.md
	pandoc -f $(MARKDOWN) -t plain README.md -o README.txt

yt-dlp.1: README.md devscripts/prepare_manpage.py
	$(PYTHON) devscripts/prepare_manpage.py yt-dlp.1.temp.md
	pandoc -s -f $(MARKDOWN) -t man yt-dlp.1.temp.md -o yt-dlp.1
	rm -f yt-dlp.1.temp.md

completions/bash/yt-dlp: $(CODE_FILES) devscripts/bash-completion.in
	mkdir -p completions/bash
	$(PYTHON) devscripts/bash-completion.py

completions/zsh/_yt-dlp: $(CODE_FILES) devscripts/zsh-completion.in
	mkdir -p completions/zsh
	$(PYTHON) devscripts/zsh-completion.py

completions/fish/yt-dlp.fish: $(CODE_FILES) devscripts/fish-completion.in
	mkdir -p completions/fish
	$(PYTHON) devscripts/fish-completion.py

_EXTRACTOR_FILES_CMD = find yt_dlp/extractor -name '*.py' -and -not -name 'lazy_extractors.py'
_EXTRACTOR_FILES != $(_EXTRACTOR_FILES_CMD)
_EXTRACTOR_FILES ?= $(shell $(_EXTRACTOR_FILES_CMD))
yt_dlp/extractor/lazy_extractors.py: devscripts/make_lazy_extractors.py devscripts/lazy_load_template.py $(_EXTRACTOR_FILES)
	$(PYTHON) devscripts/make_lazy_extractors.py $@

yt-dlp.tar.gz: all
	@$(GNUTAR) -czf yt-dlp.tar.gz --transform "s|^|yt-dlp/|" --owner 0 --group 0 \
		--exclude '*.DS_Store' \
		--exclude '*.kate-swp' \
		--exclude '*.pyc' \
		--exclude '*.pyo' \
		--exclude '*~' \
		--exclude '__pycache__' \
		--exclude '.*_cache' \
		--exclude '.git' \
		-- \
		README.md supportedsites.md Changelog.md LICENSE \
		CONTRIBUTING.md Collaborators.md CONTRIBUTORS AUTHORS \
		Makefile yt-dlp.1 README.txt completions .gitignore \
		yt-dlp yt_dlp pyproject.toml devscripts test

AUTHORS: Changelog.md
	@if [ -d '.git' ] && command -v git > /dev/null ; then \
	  echo 'Generating $@ from git commit history' ; \
	  git shortlog -s -n HEAD | cut -f2 | sort > $@ ; \
	fi

CONTRIBUTORS: Changelog.md
	@if [ -d '.git' ] && command -v git > /dev/null ; then \
	  echo 'Updating $@ from git commit history' ; \
	  $(PYTHON) devscripts/make_changelog.py -v -c > /dev/null ; \
	fi

=== debian/changelog ===
yt-dlp (2025.10.14-1trisquel3) ecne-backports; urgency=medium

  * Remove explicit site listing, redirecting to website author.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 16 Oct 2025 06:50:25 +0000

## yt-dlp 2025.10.14-1+11.0trisquel3

=== debian/changelog ===
yt-dlp (2025.10.14-1+11.0trisquel3) aramo-backports; urgency=medium

  * Track latest release and remove explicit site listing, redirecting
    to website author.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 16 Oct 2025 06:50:20 +0000

## yt-dlp 2025.10.22

=== Makefile ===
--- 
+++ 
@@ -9,7 +9,7 @@
 # Keep this list in sync with pyproject.toml includes/artifacts
 # intended use: when building a source distribution,
 # make pypi-files && python3 -m build -sn .
-pypi-files: Changelog.md LICENSE README.md README.txt supportedsites \
+pypi-files: AUTHORS Changelog.md LICENSE README.md README.txt supportedsites \
             completions yt-dlp.1 pyproject.toml devscripts/* test/*
 
 .PHONY: all clean clean-all clean-test clean-dist clean-cache \
@@ -78,8 +78,8 @@
 	$(PYTHON) -m pytest -Werror
 	$(MAKE) codetest
 
-offlinetest:
-	$(PYTHON) -m pytest -m "not download"
+offlinetest: codetest
+	$(PYTHON) -m pytest -Werror -m "not download"
 
 CODE_FOLDERS_CMD = find yt_dlp -type f -name '__init__.py' | sed 's,/__init__.py,,' | grep -v '/__' | sort
 CODE_FOLDERS != $(CODE_FOLDERS_CMD)
@@ -157,7 +157,7 @@
 		--exclude '.git' \
 		-- \
 		README.md supportedsites.md Changelog.md LICENSE \
-		CONTRIBUTING.md Collaborators.md CONTRIBUTORS AUTHORS \
+		CONTRIBUTING.md Maintainers.md CONTRIBUTORS AUTHORS \
 		Makefile yt-dlp.1 README.txt completions .gitignore \
 		yt-dlp yt_dlp pyproject.toml devscripts test

=== debian/changelog ===
yt-dlp (2025.10.22-1~mx25+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 25 Oct 2025 09:40:13 -0700

yt-dlp (2025.10.22-1) unstable; urgency=medium

  * New upstream version 2025.10.22.
    - Refresh patches.

 -- Unit 193 <unit193@debian.org>  Wed, 22 Oct 2025 20:23:01 -0400

=== debian/control ===
--- 
+++ 
@@ -19,9 +19,8 @@
 
 Package: yt-dlp
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends},
-         aria2 | wget | curl, ca-certificates,
-Recommends:  ffmpeg
+Depends: ${misc:Depends}, ${python3:Depends}
+Recommends: aria2 | wget | curl, ca-certificates, ffmpeg
 Suggests: libfribidi-bin | bidiv, phantomjs
 Description: downloader of videos from YouTube and other sites
  yt-dlp is a youtube-dl fork based on the now inactive youtube-dlc.

## yt-dlp 2025.10.22-1trisquel3

=== Makefile ===
--- 
+++ 
@@ -9,7 +9,7 @@
 # Keep this list in sync with pyproject.toml includes/artifacts
 # intended use: when building a source distribution,
 # make pypi-files && python3 -m build -sn .
-pypi-files: AUTHORS Changelog.md LICENSE README.md README.txt supportedsites \
+pypi-files: Changelog.md LICENSE README.md README.txt supportedsites \
             completions yt-dlp.1 pyproject.toml devscripts/* test/*
 
 .PHONY: all clean clean-all clean-test clean-dist clean-cache \
@@ -78,8 +78,8 @@
 	$(PYTHON) -m pytest -Werror
 	$(MAKE) codetest
 
-offlinetest: codetest
-	$(PYTHON) -m pytest -Werror -m "not download"
+offlinetest:
+	$(PYTHON) -m pytest -m "not download"
 
 CODE_FOLDERS_CMD = find yt_dlp -type f -name '__init__.py' | sed 's,/__init__.py,,' | grep -v '/__' | sort
 CODE_FOLDERS != $(CODE_FOLDERS_CMD)

=== .pc/0004-Makefile-Don-t-run-flake8-when-running-offlinetest.patch/Makefile ===
--- 
+++ 
@@ -157,7 +157,7 @@
 		--exclude '.git' \
 		-- \
 		README.md supportedsites.md Changelog.md LICENSE \
-		CONTRIBUTING.md Collaborators.md CONTRIBUTORS AUTHORS \
+		CONTRIBUTING.md Maintainers.md CONTRIBUTORS AUTHORS \
 		Makefile yt-dlp.1 README.txt completions .gitignore \
 		yt-dlp yt_dlp pyproject.toml devscripts test

=== debian/changelog ===
yt-dlp (2025.10.22-1trisquel3) ecne-backports; urgency=medium

  * Remove explicit site listing, redirecting to website author.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 23 Oct 2025 06:51:10 +0000

## yt-dlp 2025.10.22-1+11.0trisquel3

=== debian/changelog ===
yt-dlp (2025.10.22-1+11.0trisquel3) aramo-backports; urgency=medium

  * Track latest release and remove explicit site listing, redirecting
    to website author.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 23 Oct 2025 06:51:04 +0000

## yt-dlp 2025.11.12

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,5 @@
 all: lazy-extractors yt-dlp doc pypi-files
+all-extra: lazy-extractors yt-dlp-extra doc pypi-files
 clean: clean-test clean-dist
 clean-all: clean clean-cache
 completions: completion-bash completion-fish completion-zsh
@@ -9,13 +10,17 @@
 # Keep this list in sync with pyproject.toml includes/artifacts
 # intended use: when building a source distribution,
 # make pypi-files && python3 -m build -sn .
-pypi-files: Changelog.md LICENSE README.md README.txt supportedsites \
+pypi-files: AUTHORS Changelog.md LICENSE README.md README.txt supportedsites \
             completions yt-dlp.1 pyproject.toml devscripts/* test/*
 
 .PHONY: all clean clean-all clean-test clean-dist clean-cache \
         completions completion-bash completion-fish completion-zsh \
         doc issuetemplates supportedsites ot offlinetest codetest test \
-        tar pypi-files lazy-extractors install uninstall
+        tar pypi-files lazy-extractors install uninstall \
+        all-extra yt-dlp-extra current-ejs-version
+
+.IGNORE: current-ejs-version
+.SILENT: current-ejs-version
 
 clean-test:
 	rm -rf tmp/ *.annotations.xml *.aria2 *.description *.dump *.frag \
@@ -25,7 +30,8 @@
 	test/testdata/sigs/player-*.js test/testdata/thumbnails/empty.webp "test/testdata/thumbnails/foo %d bar/foo_%d."*
 clean-dist:
 	rm -rf yt-dlp.1.temp.md yt-dlp.1 README.txt MANIFEST build/ dist/ .coverage cover/ yt-dlp.tar.gz completions/ \
-	yt_dlp/extractor/lazy_extractors.py *.spec CONTRIBUTING.md.tmp yt-dlp yt-dlp.exe yt_dlp.egg-info/ AUTHORS
+	yt_dlp/extractor/lazy_extractors.py *.spec CONTRIBUTING.md.tmp yt-dlp yt-dlp.exe yt_dlp.egg-info/ AUTHORS \
+	yt-dlp.zip .ejs-* yt_dlp_ejs/
 clean-cache:
 	find . \( \
 		-type d -name ".*_cache" -o -type d -name __pycache__ -o -name "*.pyc" -o -name "*.class" \
@@ -78,31 +84,52 @@
 	$(PYTHON) -m pytest -Werror
 	$(MAKE) codetest
 
-offlinetest:
-	$(PYTHON) -m pytest -m "not download"
-
-CODE_FOLDERS_CMD = find yt_dlp -type f -name '__init__.py' | sed 's,/__init__.py,,' | grep -v '/__' | sort
-CODE_FOLDERS != $(CODE_FOLDERS_CMD)
-CODE_FOLDERS ?= $(shell $(CODE_FOLDERS_CMD))
-CODE_FILES_CMD = for f in $(CODE_FOLDERS) ; do echo "$$f" | sed 's,$$,/*.py,' ; done
-CODE_FILES != $(CODE_FILES_CMD)
-CODE_FILES ?= $(shell $(CODE_FILES_CMD))
-yt-dlp: $(CODE_FILES)
+offlinetest: codetest
+	$(PYTHON) -m pytest -Werror -m "not download"
+
+PY_CODE_FOLDERS_CMD = find yt_dlp -type f -name '__init__.py' | sed 's|/__init__\.py||' | grep -v '/__' | sort
+PY_CODE_FOLDERS != $(PY_CODE_FOLDERS_CMD)
+PY_CODE_FOLDERS ?= $(shell $(PY_CODE_FOLDERS_CMD))
+
+PY_CODE_FILES_CMD = for f in $(PY_CODE_FOLDERS) ; do echo "$$f" | sed 's|$$|/*.py|' ; done
+PY_CODE_FILES != $(PY_CODE_FILES_CMD)
+PY_CODE_FILES ?= $(shell $(PY_CODE_FILES_CMD))
+
+JS_CODE_FOLDERS_CMD = find yt_dlp -type f -name '*.js' | sed 's|/[^/]\{1,\}\.js$$||' | uniq
+JS_CODE_FOLDERS != $(JS_CODE_FOLDERS_CMD)
+JS_CODE_FOLDERS ?= $(shell $(JS_CODE_FOLDERS_CMD))
+
+JS_CODE_FILES_CMD = for f in $(JS_CODE_FOLDERS) ; do echo "$$f" | sed 's|$$|/*.js|' ; done
+JS_CODE_FILES != $(JS_CODE_FILES_CMD)
+JS_CODE_FILES ?= $(shell $(JS_CODE_FILES_CMD))
+
+yt-dlp.zip: $(PY_CODE_FILES) $(JS_CODE_FILES)
 	mkdir -p zip
-	for d in $(CODE_FOLDERS) ; do \
+	for d in $(PY_CODE_FOLDERS) ; do \
 	  mkdir -p zip/$$d ;\
 	  cp -pPR $$d/*.py zip/$$d/ ;\
 	done
-	(cd zip && touch -t 200001010101 $(CODE_FILES))
-	mv zip/yt_dlp/__main__.py zip/
-	(cd zip && zip -q ../yt-dlp $(CODE_FILES) __main__.py)
+	for d in $(JS_CODE_FOLDERS) ; do \
+	  mkdir -p zip/$$d ;\
+	  cp -pPR $$d/*.js zip/$$d/ ;\
+	done
+	(cd zip && touch -t 200001010101 $(PY_CODE_FILES) $(JS_CODE_FILES))
+	rm -f zip/yt_dlp/__main__.py
+	(cd zip && zip -q ../yt-dlp.zip $(PY_CODE_FILES) $(JS_CODE_FILES))
 	rm -rf zip
+
+yt-dlp: yt-dlp.zip
+	mkdir -p zip
+	cp -pP yt_dlp/__main__.py zip/
+	touch -t 200001010101 zip/__main__.py
+	(cd zip && zip -q ../yt-dlp.zip __main__.py)
 	echo '#!$(PYTHON)' > yt-dlp
 	cat yt-dlp.zip >> yt-dlp
 	rm yt-dlp.zip
 	chmod a+x yt-dlp
-
-README.md: $(CODE_FILES) devscripts/make_readme.py
+	rm -rf zip
+
+README.md: $(PY_CODE_FILES) devscripts/make_readme.py
 	COLUMNS=80 $(PYTHON) yt_dlp/__main__.py --ignore-config --help | $(PYTHON) devscripts/make_readme.py
 
 CONTRIBUTING.md: README.md devscripts/make_contributing.py
@@ -127,15 +154,15 @@
 	pandoc -s -f $(MARKDOWN) -t man yt-dlp.1.temp.md -o yt-dlp.1
 	rm -f yt-dlp.1.temp.md
 
-completions/bash/yt-dlp: $(CODE_FILES) devscripts/bash-completion.in
+completions/bash/yt-dlp: $(PY_CODE_FILES) devscripts/bash-completion.in
 	mkdir -p completions/bash
 	$(PYTHON) devscripts/bash-completion.py
 
-completions/zsh/_yt-dlp: $(CODE_FILES) devscripts/zsh-completion.in
+completions/zsh/_yt-dlp: $(PY_CODE_FILES) devscripts/zsh-completion.in
 	mkdir -p completions/zsh
 	$(PYTHON) devscripts/zsh-completion.py
 
-completions/fish/yt-dlp.fish: $(CODE_FILES) devscripts/fish-completion.in
+completions/fish/yt-dlp.fish: $(PY_CODE_FILES) devscripts/fish-completion.in
 	mkdir -p completions/fish
 	$(PYTHON) devscripts/fish-completion.py
 
@@ -172,3 +199,45 @@
 	  echo 'Updating $@ from git commit history' ; \
 	  $(PYTHON) devscripts/make_changelog.py -v -c > /dev/null ; \
 	fi
+
+# The following EJS_-prefixed variables are auto-generated by devscripts/update_ejs.py
+# DO NOT EDIT!
+EJS_VERSION = 0.3.1
+EJS_WHEEL_NAME = yt_dlp_ejs-0.3.1-py3-none-any.whl
+EJS_WHEEL_HASH = sha256:a6e3548874db7c774388931752bb46c7f4642c044b2a189e56968f3d5ecab622
+EJS_PY_FOLDERS = yt_dlp_ejs yt_dlp_ejs/yt yt_dlp_ejs/yt/solver
+EJS_PY_FILES = yt_dlp_ejs/__init__.py yt_dlp_ejs/_version.py yt_dlp_ejs/yt/__init__.py yt_dlp_ejs/yt/solver/__init__.py
+EJS_JS_FOLDERS = yt_dlp_ejs/yt/solver
+EJS_JS_FILES = yt_dlp_ejs/yt/solver/core.min.js yt_dlp_ejs/yt/solver/lib.min.js
+
+yt-dlp-extra: current-ejs-version .ejs-$(EJS_VERSION) $(EJS_PY_FILES) $(EJS_JS_FILES) yt-dlp.zip
+	mkdir -p zip
+	for d in $(EJS_PY_FOLDERS) ; do \
+	  mkdir -p zip/$$d ;\
+	  cp -pPR $$d/*.py zip/$$d/ ;\
+	done
+	for d in $(EJS_JS_FOLDERS) ; do \
+	  mkdir -p zip/$$d ;\
+	  cp -pPR $$d/*.js zip/$$d/ ;\
+	done
+	(cd zip && touch -t 200001010101 $(EJS_PY_FILES) $(EJS_JS_FILES))
+	(cd zip && zip -q ../yt-dlp.zip $(EJS_PY_FILES) $(EJS_JS_FILES))
+	cp -pP yt_dlp/__main__.py zip/
+	touch -t 200001010101 zip/__main__.py
+	(cd zip && zip -q ../yt-dlp.zip __main__.py)
+	echo '#!$(PYTHON)' > yt-dlp
+	cat yt-dlp.zip >> yt-dlp
+	rm yt-dlp.zip
+	chmod a+x yt-dlp
+	rm -rf zip
+
+.ejs-$(EJS_VERSION):
+	@echo Downloading yt-dlp-ejs
+	@echo "yt-dlp-ejs==$(EJS_VERSION) --hash $(EJS_WHEEL_HASH)" > .ejs-requirements.txt
+	$(PYTHON) -m pip download -d ./build --no-deps --require-hashes -r .ejs-requirements.txt
+	unzip -o build/$(EJS_WHEEL_NAME) "yt_dlp_ejs/*"
+	@touch .ejs-$(EJS_VERSION)
+
+current-ejs-version:
+	rm -rf .ejs-*
+	touch .ejs-$$($(PYTHON) -c 'import sys; sys.path = [""]; from yt_dlp_ejs import version; print(version)' 2>/dev/null)

=== debian/changelog ===
yt-dlp (2025.11.12-1~mx25+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 18 Nov 2025 07:10:32 -0800

yt-dlp (2025.11.12-1) unstable; urgency=medium

  * New upstream version 2025.11.12.
    - Refresh patches.
  * d/control: Replace PhamtomJS with current javascript options.
    (Closes: #1031775, #1053920)
  * d/NEWS, d/control:
    - Add NEWS entry and note that a js engine is needed for YouTube.
  * d/yt-dlp.conf: Add example config file.

 -- Unit 193 <unit193@debian.org>  Mon, 17 Nov 2025 18:28:12 -0500

=== debian/control ===
--- 
+++ 
@@ -19,9 +19,10 @@
 
 Package: yt-dlp
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}
-Recommends: aria2 | wget | curl, ca-certificates, ffmpeg
-Suggests: libfribidi-bin | bidiv, phantomjs
+Depends: ${misc:Depends}, ${python3:Depends},
+          aria2 | wget | curl
+Recommends: ca-certificates, ffmpeg
+Suggests: deno | nodejs | quickjs, libfribidi-bin | bidiv
 Description: downloader of videos from YouTube and other sites
  yt-dlp is a youtube-dl fork based on the now inactive youtube-dlc.
  The main focus of this project is adding new features and patches
@@ -36,6 +37,8 @@
  determine the best (or worst) quality video to grab. It supports
  downloading entire playlists and all videos from a given user.
  .
+ Please note, you'll need an external JS engine such as NodeJS for YouTube.
+ .
  Currently supported sites (or features of sites) are:
  .
  ${yt-dlp:Sites}

## yt-dlp 2025.12.08

=== Makefile ===
--- 
+++ 
@@ -202,9 +202,9 @@
 
 # The following EJS_-prefixed variables are auto-generated by devscripts/update_ejs.py
 # DO NOT EDIT!
-EJS_VERSION = 0.3.1
-EJS_WHEEL_NAME = yt_dlp_ejs-0.3.1-py3-none-any.whl
-EJS_WHEEL_HASH = sha256:a6e3548874db7c774388931752bb46c7f4642c044b2a189e56968f3d5ecab622
+EJS_VERSION = 0.3.2
+EJS_WHEEL_NAME = yt_dlp_ejs-0.3.2-py3-none-any.whl
+EJS_WHEEL_HASH = sha256:f2dc6b3d1b909af1f13e021621b0af048056fca5fb07c4db6aa9bbb37a4f66a9
 EJS_PY_FOLDERS = yt_dlp_ejs yt_dlp_ejs/yt yt_dlp_ejs/yt/solver
 EJS_PY_FILES = yt_dlp_ejs/__init__.py yt_dlp_ejs/_version.py yt_dlp_ejs/yt/__init__.py yt_dlp_ejs/yt/solver/__init__.py
 EJS_JS_FOLDERS = yt_dlp_ejs/yt/solver

=== debian/changelog ===
yt-dlp (2025.12.08-1~mx25+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 09 Dec 2025 08:42:50 -0800

yt-dlp (2025.12.08-1) unstable; urgency=medium

  * New upstream version 2025.12.08.
  * d/NEWS: Update wording, thanks _jwilk!
  * d/control: Add version constraint to hatchling.

 -- Unit 193 <unit193@debian.org>  Tue, 09 Dec 2025 04:21:39 -0500

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                dh-python (>= 5.20211213~),
                pandoc,
                pybuild-plugin-pyproject,
-               python3-hatchling,
+               python3-hatchling (>= 1.26.1~),
                python3-pytest <!nocheck>,
                zip
 Build-Depends-Indep: python3
@@ -19,9 +19,8 @@
 
 Package: yt-dlp
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends},
-          aria2 | wget | curl
-Recommends: ca-certificates, ffmpeg
+Depends: ${misc:Depends}, ${python3:Depends}
+Recommends: aria2 | wget | curl, ca-certificates, ffmpeg
 Suggests: deno | nodejs | quickjs, libfribidi-bin | bidiv
 Description: downloader of videos from YouTube and other sites
  yt-dlp is a youtube-dl fork based on the now inactive youtube-dlc.

## yt-dlp 2026.01.31

=== Makefile ===
--- 
+++ 
@@ -202,9 +202,9 @@
 
 # The following EJS_-prefixed variables are auto-generated by devscripts/update_ejs.py
 # DO NOT EDIT!
-EJS_VERSION = 0.3.2
-EJS_WHEEL_NAME = yt_dlp_ejs-0.3.2-py3-none-any.whl
-EJS_WHEEL_HASH = sha256:f2dc6b3d1b909af1f13e021621b0af048056fca5fb07c4db6aa9bbb37a4f66a9
+EJS_VERSION = 0.4.0
+EJS_WHEEL_NAME = yt_dlp_ejs-0.4.0-py3-none-any.whl
+EJS_WHEEL_HASH = sha256:19278cff397b243074df46342bb7616c404296aeaff01986b62b4e21823b0b9c
 EJS_PY_FOLDERS = yt_dlp_ejs yt_dlp_ejs/yt yt_dlp_ejs/yt/solver
 EJS_PY_FILES = yt_dlp_ejs/__init__.py yt_dlp_ejs/_version.py yt_dlp_ejs/yt/__init__.py yt_dlp_ejs/yt/solver/__init__.py
 EJS_JS_FOLDERS = yt_dlp_ejs/yt/solver

=== debian/changelog ===
yt-dlp (2026.01.31-0.1mx25) mx; urgency=medium

  * Rebuild for MX Linux.
  * Remove epoch and dmo branding.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 02 Feb 2026 09:04:27 -0800

yt-dlp-dmo (1:2026.01.31-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 01 Feb 2026 09:01:35 +0100

yt-dlp-dmo (1:2026.01.29-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 30 Jan 2026 03:47:48 +0100

yt-dlp-dmo (1:2025.12.08-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 08 Dec 2025 08:40:18 +0100

yt-dlp-dmo (1:2025.11.12-dmo1) unstable; urgency=medium

  * New upstream release.
  * Add 'nodejs | quickjs' as dependencies

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 12 Nov 2025 14:34:33 +0100

yt-dlp-dmo (1:2025.10.22-dmo2) unstable; urgency=medium

  * Don't Build-Depends on ruff

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 23 Oct 2025 16:43:35 +0200

yt-dlp-dmo (1:2025.10.22-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 23 Oct 2025 08:46:32 +0200

yt-dlp-dmo (1:2025.10.14-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 15 Oct 2025 08:39:22 +0200

yt-dlp-dmo (1:2025.09.26-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 27 Sep 2025 07:37:03 +0200

yt-dlp-dmo (1:2025.09.23-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 23 Sep 2025 13:46:36 +0200

yt-dlp-dmo (1:2025.09.05-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 06 Sep 2025 07:49:31 +0200

yt-dlp-dmo (1:2025.08.27-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 28 Aug 2025 08:37:07 +0200

yt-dlp-dmo (1:2025.08.22-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 23 Aug 2025 08:46:08 +0200

yt-dlp-dmo (1:2025.08.20-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 20 Aug 2025 07:29:47 +0200

yt-dlp-dmo (1:2025.08.11-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 11 Aug 2025 07:36:15 +0200

yt-dlp-dmo (1:2025.07.21-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 22 Jul 2025 07:19:49 +0200

yt-dlp-dmo (1:2025.06.30-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 01 Jul 2025 08:35:41 +0200

yt-dlp-dmo (1:2025.06.25-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 26 Jun 2025 08:39:42 +0200

yt-dlp-dmo (1:2025.06.09-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 10 Jun 2025 08:38:34 +0200

yt-dlp-dmo (1:2025.05.22-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 22 May 2025 12:10:20 +0200

yt-dlp-dmo (1:2025.04.30-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 01 May 2025 08:31:48 +0200

yt-dlp-dmo (1:2025.03.31-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 01 Apr 2025 07:53:05 +0200

yt-dlp-dmo (1:2025.03.27-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 28 Mar 2025 08:43:13 +0100

yt-dlp-dmo (1:2025.03.26-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 26 Mar 2025 07:58:37 +0100

yt-dlp-dmo (1:2025.03.25-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 25 Mar 2025 02:38:49 +0100

yt-dlp-dmo (1:2025.03.21-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 22 Mar 2025 11:14:18 +0100

yt-dlp-dmo (1:2025.02.19-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 19 Feb 2025 08:37:30 +0100

yt-dlp-dmo (1:2025.01.26-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 26 Jan 2025 09:05:32 +0100

yt-dlp-dmo (1:2025.01.15-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 16 Jan 2025 15:05:33 +0100

yt-dlp-dmo (1:2025.01.12-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 13 Jan 2025 08:36:52 +0100

yt-dlp-dmo (1:2024.12.23-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 24 Dec 2024 08:35:55 +0100

yt-dlp-dmo (1:2024.12.13-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 13 Dec 2024 14:43:15 +0100

yt-dlp-dmo (1:2024.12.06-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 07 Dec 2024 00:02:19 +0100

yt-dlp-dmo (1:2024.12.03-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 04 Dec 2024 00:52:15 +0100

yt-dlp-dmo (1:2024.11.18-dmo1) unstable; urgency=medium

  * New upstream release.



=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = yt_dlp

%:
	dh $@ -Spybuild --with bash-completion

override_dh_auto_configure:
	PREFIX=/usr \
	SYSCONFDIR=/etc \
	$(MAKE)

	python3 devscripts/set-variant.py debian -M "As yt-dlp has been installed via apt, you should use that to update. If you're on a stable release, also check backports."

override_dh_python3:
	dh_python3 --depends-section=default

#
# Only pass if http_proxy is not set and USENETWORK set to no
#
override_dh_auto_test:
#	$(MAKE) offlinetest PYTHON=python3

## yt-dlp 2026.02.04

=== debian/changelog ===
yt-dlp (2026.02.04-0.1~mx25) mx; urgency=medium

  * New upstream version 2026.02.04.
  * d/control: Restore 'priority' for MX repos.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 05 Feb 2026 20:34:56 -0800

yt-dlp (2026.01.31-1) unstable; urgency=medium

  * New upstream version 2026.01.31.
    - Fix default player clients. (Closes: #1126687)
  * d/control: Drop 'priority' and R³, set by default.
  * d/copyright: Bump years.
  * Update Standards-Version to 4.7.3.

 -- Unit 193 <unit193@debian.org>  Tue, 03 Feb 2026 03:03:53 -0500

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: yt-dlp
+Priority: optional
 Maintainer: Steven Pusser <stevep@mxlinux.org>
 XSBC-Original-Maintainer: Unit 193 <unit193@debian.org>
 Section: web
-Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-python (>= 5.20211213~),
                pandoc,
@@ -11,16 +11,15 @@
                python3-pytest <!nocheck>,
                zip
 Build-Depends-Indep: python3
-Rules-Requires-Root: no
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://codeberg.org/Unit193/yt-dlp
 Vcs-Git: https://codeberg.org/Unit193/yt-dlp.git
 Homepage: https://github.com/yt-dlp/yt-dlp
 
 Package: yt-dlp
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}
-Recommends: aria2 | wget | curl, ca-certificates, ffmpeg
+Depends: ${misc:Depends}, ${python3:Depends},
+           aria2 | wget | curl, ca-certificates, ffmpeg
 Suggests: deno | nodejs | quickjs, libfribidi-bin | bidiv
 Description: downloader of videos from YouTube and other sites
  yt-dlp is a youtube-dl fork based on the now inactive youtube-dlc.

## yt-dlp 2026.02.21

=== Makefile ===
--- 
+++ 
@@ -202,9 +202,9 @@
 
 # The following EJS_-prefixed variables are auto-generated by devscripts/update_ejs.py
 # DO NOT EDIT!
-EJS_VERSION = 0.4.0
-EJS_WHEEL_NAME = yt_dlp_ejs-0.4.0-py3-none-any.whl
-EJS_WHEEL_HASH = sha256:19278cff397b243074df46342bb7616c404296aeaff01986b62b4e21823b0b9c
+EJS_VERSION = 0.5.0
+EJS_WHEEL_NAME = yt_dlp_ejs-0.5.0-py3-none-any.whl
+EJS_WHEEL_HASH = sha256:674fc0efea741d3100cdf3f0f9e123150715ee41edf47ea7a62fbdeda204bdec
 EJS_PY_FOLDERS = yt_dlp_ejs yt_dlp_ejs/yt yt_dlp_ejs/yt/solver
 EJS_PY_FILES = yt_dlp_ejs/__init__.py yt_dlp_ejs/_version.py yt_dlp_ejs/yt/__init__.py yt_dlp_ejs/yt/solver/__init__.py
 EJS_JS_FOLDERS = yt_dlp_ejs/yt/solver

=== debian/changelog ===
yt-dlp (2026.02.21-1~mx25+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Restore "Priority: optional".

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 22 Feb 2026 12:57:53 -0800

yt-dlp (2026.02.21-1) unstable; urgency=medium

  * New upstream version 2026.02.21.
    - [cookies] Ignore cookies with control characters. (Closes: #1127548)

 -- Unit 193 <unit193@debian.org>  Sat, 21 Feb 2026 18:05:10 -0500

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
 Package: yt-dlp
 Architecture: all
 Depends: ${misc:Depends}, ${python3:Depends},
-           aria2 | wget | curl, ca-certificates, ffmpeg
+          aria2 | wget | curl, ca-certificates, ffmpeg
 Suggests: deno | nodejs | quickjs, libfribidi-bin | bidiv
 Description: downloader of videos from YouTube and other sites
  yt-dlp is a youtube-dl fork based on the now inactive youtube-dlc.

## yt-dlp 2026.02.21-1trisquel4

=== debian/changelog ===
yt-dlp (2026.02.21-1trisquel4) ecne-backports; urgency=medium

  * Remove explicit site listing, redirecting to website author.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 23 Feb 2026 03:22:16 +0000
